## History of changes for WinPython 3.3.3.1

The following changes were made to WinPython distribution since version 3.3.2.3.

### Tools

Upgraded packages:

  * [SciTE](http://www.scintilla.org/SciTE.html) 3.2.3 → 3.3.7 (SCIntilla based Text Editor - Multilanguage, powerful and light-weight text editor)
  * [TortoiseHg](http://tortoisehg.bitbucket.org) 2.8 → 2.10.1 (Set of graphical tools and a shell extension for the Mercurial distributed revision control system)

### Python packages

New packages:

  * [PyQtdesignerplugins](http://pypi.python.org/pypi/PyQtdesignerplugins) 1.1 (PyQtdesignerplugins installs Python Qt designer plugins (Matplotlib, guiqwt, etc.) for PyQt4)
  * [SQLAlchemy](http://www.sqlalchemy.org) 0.8.4 (SQL Toolkit and Object Relational Mapper)
  * [astroid](http://pypi.python.org/pypi/astroid) 1.0.1 (Rebuild a new abstract syntax tree from Python's ast (required for pylint))

Upgraded packages:

  * [Cython](http://www.cython.org) 0.19.1 → 0.19.2 (Cython is a language that makes writing C extensions for the Python language as easy as Python)
  * [Pillow](http://pypi.python.org/pypi/Pillow) 2.1.0 → 2.2.2 (Python Imaging Library (fork))
  * [Python](http://www.python.org/) 3.3.2 → 3.3.3 (Python programming language with standard library)
  * [Scidoc](http://pypi.python.org/pypi/Scidoc) 1.7.1.1 → 1.8.0 (Scidoc installs scientific libraries documentation (NumPy, SciPy, ...))
  * [Sphinx](http://sphinx.pocoo.org) 1.1.3 → 1.2 (Tool for generating documentation which uses reStructuredText as its markup language)
  * [colorama](http://pypi.python.org/pypi/colorama) 0.2.5 → 0.2.7 (Cross-platform colored terminal text)
  * [cx_Freeze](http://cx-freeze.sourceforge.net) 4.3.1 → 4.3.2 (Deployment tool which converts Python scripts into stand-alone Windows executables (i.e. target machine does not require Python or any other library to be installed))
  * [formlayout](http://formlayout.googlecode.com) 1.0.13 → 1.0.15 (Module for creating form dialogs/widgets to edit various type of parameters without having to write any GUI code)
  * [guiqwt](http://packages.python.org/guiqwt) 2.3.1 → 2.3.2 (Efficient curve/image plotting and other GUI tools for scientific data processing software development)
  * [h5py](http://code.google.com/p/h5py/) 2.1.3 → 2.2.1 (General-purpose Python interface to HDF5 files (unlike PyTables, h5py provides direct access to the full HDF5 C library))
  * [ipython](http://ipython.org) 1.0.0 → 1.1.0 (Enhanced Python shell)
  * [logilab-common](http://pypi.python.org/pypi/logilab-common) 0.60.0 → 0.60.1 (Collection of low-level Python packages and modules used by Logilab projects (required for pylint))
  * [mahotas](http://pypi.python.org/pypi/mahotas) 1.0.2 → 1.0.4 (Computer Vision library)
  * [matplotlib](http://matplotlib.sourceforge.net) 1.3.0 → 1.3.1 (2D plotting library (embeddable in GUIs created with PyQt))
  * [numexpr](http://code.google.com/p/numexpr) 2.1 → 2.2.2 (Fast evaluation of array expressions elementwise by using a vector-based virtual machine)
  * [numpy-MKL](http://numpy.scipy.org/) 1.7.1 → 1.8.0 (NumPy: multidimensional array processing for numbers, strings, records and objects (SciPy's core module))
  * [patsy](http://pypi.python.org/pypi/patsy) 0.2.0 → 0.2.1 (Describing statistical models using symbolic formulas)
  * [psutil](http://code.google.com/p/psutil) 1.0.1 → 1.2.1 (Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way)
  * [pylint](http://www.logilab.org/project/pylint) 0.28.0 → 1.0.0 (Logilab code analysis module: analyzes Python source code looking for bugs and signs of poor quality)
  * [python-dateutil](http://labix.org/python-dateutil) 2.1 → 2.2 (Powerful extensions to the standard datetime module)
  * [pytz](http://pytz.sourceforge.net/) 2013b → 2013.8 (World Timezone Definitions for Python)
  * [pyzmq](http://pypi.python.org/pypi/pyzmq) 13.1.0 → 14.0.1 (Lightweight and super-fast messaging based on ZeroMQ library (required for IPython Qt console))
  * [scikit-image](http://pypi.python.org/pypi/scikit-image) 0.8.2 → 0.9.3 (Image processing toolbox for SciPy)
  * [scipy](http://www.scipy.org) 0.12.0 → 0.13.2 (SciPy: Scientific Library for Python (advanced math, signal processing, optimization, statistics, ...))
  * [setuptools](http://pypi.python.org/pypi/setuptools) 1.0 → 2.0.1 (Download, build, install, upgrade, and uninstall Python packages - easily)
  * [simplejson](http://pypi.python.org/pypi/simplejson) 3.3.0 → 3.3.1 (Simple, fast, extensible JSON (JavaScript Object Notation) encoder/decoder)
  * [six](http://pypi.python.org/pypi/six) 1.3.0 → 1.4.1 (Python 2 and 3 compatibility utilities)
  * [spyder](http://pypi.python.org/pypi/spyder) 2.3.0dev6 → 2.3.0beta2 (Scientific PYthon Development EnviRonment: designed for interactive computing and data visualisation with a simple and intuitive user interface)
  * [sympy](http://code.google.com/p/sympy) 0.7.3 → 0.7.4.1 (Symbolic Mathematics Library)
  * [tornado](http://pypi.python.org/pypi/tornado) 2.4.1 → 3.1.1 (Scalable, non-blocking web server and tools (required for IPython notebook))
  * [winpython](http://code.google.com/p/winpython) 0.17 → 1.0 (WinPython distribution tools, including WPPM (package manager))

Removed packages:

  * [logilab-astng](http://pypi.python.org/pypi/logilab-astng) 0.24.3 (Rebuild a new abstract syntax tree from Python's ast (required for pylint))

* * *
